
import { http } from '@/common/utils/request/index'


 
// 登录
export const post_login = async (data:any) => 
    http.get(`/sec/login`, data)
// 微信登陆
export const login_wechat_applets = async (data:any) => 
    http.get(`/sec/login/wechat_applets`,data)

export const login_out_unbind = async (data:any) => 
    http.get(`/sec/unbind`,data)

// 绑定用户到小程序
export const bind_wechat_applets = async (data:any) => 
    http.get(`/sec/login/bind/wechat_applets`,data)

// 获取公司配置
export const get_user_comp_config = async (data:any) => 
    http.get(`/sec/user_comp_config`, data )

// 获取翻译
export const get_switch_lng = async (data:any) => 
    http.get(`/sec/switch_lng`, data )

// 选择数据库
export const post_switch_operdb = async (data:any) => 
    http.post(`/sec/switch_operdb`, data )

// 权限内菜单
export const get_user_menu = async (data:any) => 
    http.get(`/sec/user_menu`, data )


// 位置提报
export const post_location_report = async (data:any) => 
    http.post(`/tms/act_trace/location_report`, data )